Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.orbital-systems.com/client/showers/{id}/configuration \ --header 'x-api-key: <api-key>'
import requestsurl = "https://api.orbital-systems.com/client/showers/{id}/configuration"headers = {"x-api-key": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};fetch('https://api.orbital-systems.com/client/showers/{id}/configuration', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.orbital-systems.com/client/showers/{id}/configuration", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "x-api-key: <api-key>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://api.orbital-systems.com/client/showers/{id}/configuration" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://api.orbital-systems.com/client/showers/{id}/configuration") .header("x-api-key", "<api-key>") .asString();
require 'uri'require 'net/http'url = URI("https://api.orbital-systems.com/client/showers/{id}/configuration")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["x-api-key"] = '<api-key>'response = http.request(request)puts response.read_body
{ "boost_flow_enabled": true, "cleaning_program_liters_limit": 123, "cleaning_program_session_limit": 123, "cleaning_program_sessions_limit_enabled": true, "color_mode": 123, "daily_hot_water_treatment_enabled": true, "daily_hot_water_treatment_time": "<string>", "default_recirculation_mode": 123, "default_shower_flow": 123, "heater_power_available": 123, "hot_water_treatment_per_session_enabled": true, "is_private_shower": true, "is_wall_clock_12_hour_format": true, "is_wall_clock_enabled": true, "live_data_rate": 123, "max_shower_water_flow": 123, "min_conservation_flow": 123, "min_shower_water_flow": 123, "shower_head_hc_enabled": true, "shower_water_temperature_fahrenheit": true, "shower_water_temperature_max": 123, "shower_water_temperature_min": 123, "shower_water_temperature_start": 123, "state_active_showering_timer": 123, "state_standby_no_user_wait_timer": 123, "state_standby_wait_timer": 123, "time_zone_name": "<string>", "time_zone": "<string>", "use_estimation_for_drain_temperature": true, "water_conservation": true, "welcome_message_enabled": true, "welcome_message": "<string>", "water_hardness": 15.5 }
{}
The shower ID
Success
1 <= x <= 30